Subject: Allow "-" as character for identifier in caching framework
Description

The caching framework contains the allowed characters that can be used for identifiers.
Since this part was backported to TYPO3 4.3 there's an issue with using the caching framework on pages with negative page IDs
(e.g. "-1"). Therefore a identifier like "pageId_-1" would be defined which is not allowed.

In TYPO3 4.3 context this occurs in the context of workspaces/versioning.

The dash "-" is currently used in the file backend as separator.

Associated revisions
Revision 686351f0 - 2009-03-28 17:03 - Robert Lemke

    -  FLOW3: (Cache) The dash sign "-" is now allowed as part of a cache entry identifier and a tag. Resolves #2982
    -  FLOW3: (Cache) Refactored the File Backend so that the expiration time is stored in the cache file instead being a part of the cache file name.
This is necessary to allow more special characters in the entry identifier.
    -  FLOW3: (Cache) File Backend: The @-sign is now used as a separator in tag file names
    -  FLOW3: (Cache) Implemented a new cache backend "Transient Memory" which stores all entries in memory for the duration of the current script
run.

Revision f25b45c2 - 2009-04-09 13:50 - Robert Lemke

    -  FLOW3: (Cache) Replaced the cache file name separator "@" by "^". You'll need to delete your caches manually before using this revision. Refs
#2982

History
#1 - 2009-03-28 11:11 - Robert Lemke
- Category set to Cache
- Status changed from New to Accepted
- Assigned To set to Robert Lemke
- Priority changed from Should have to Must have
- Target version set to 1.0 alpha 1

#2 - 2009-03-28 18:00 - Robert Lemke
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r2106.
